Package org.apache.jmeter.gui.action

# Class TemplatesCommand

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
org.apache.jmeter.gui.action.TemplatesCommand

All Implemented Interfaces:
  `Command`

@AutoService(Command.class) public class TemplatesCommand extends AbstractActionWithNoRunningTest
Open Templates

Since:
  2.10

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TemplatesCommand()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `doActionAfterCheck(ActionEvent e)`
  Called to handle `ActionEvent` only if no test is running
  `Set<String>`
  `getActionNames()`

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

  `doAction`

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TemplatesCommand

    public TemplatesCommand()

- ## Method Details

  - ### doActionAfterCheck

    public void doActionAfterCheck(ActionEvent e)
    Description copied from class: `AbstractActionWithNoRunningTest`
    Called to handle `ActionEvent` only if no test is running
    Specified by:
      `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
    Parameters:
      `e` - `ActionEvent`
    See Also:
      - `AbstractActionWithNoRunningTest.doActionAfterCheck(ActionEvent)`

  - ### getActionNames

    public Set<String> getActionNames()
    See Also:
      - `Command.getActionNames()`